OpenCV: cv::ocl::Program Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | Protected Attributes | Friends | List of all members
cv::ocl::Program Class Reference
Core functionality » OpenCL support

`#include "ocl.hpp"`

## Public Member Functions
| Program ()
| Program (const ProgramSource &src, const String &buildflags, String &errmsg)
| Program (const Program &prog)
| ~Program ()
bool | create (const ProgramSource &src, const String &buildflags, String &errmsg)
void | getBinary (std::vector< char > &binary) const
| Query device-specific program binary. More...
Impl * | getImpl () const
String | getPrefix () const
Program & | operator= (const Program &prog)
void * | ptr () const
bool | read (const String &buf, const String &buildflags)
const ProgramSource & | source () const
bool | write (String &buf) const

## Static Public Member Functions
static String | getPrefix (const String &buildflags)

## Protected Attributes
Impl * | p

## Friends
struct | Impl

## Constructor & Destructor Documentation

## ◆ Program() [1/3]

cv::ocl::Program::Program | ( |  | ) |

## ◆ Program() [2/3]

cv::ocl::Program::Program | ( | const ProgramSource & | src,
|  | const String & | buildflags,
|  | String & | errmsg
| ) |  |

## ◆ Program() [3/3]

cv::ocl::Program::Program | ( | const Program & | prog | ) |

## ◆ ~Program()

cv::ocl::Program::~Program | ( |  | ) |

## Member Function Documentation

## ◆ create()

bool cv::ocl::Program::create | ( | const ProgramSource & | src,
|  | const String & | buildflags,
|  | String & | errmsg
| ) |  |

## ◆ getBinary()

void cv::ocl::Program::getBinary | ( | std::vector< char > & | binary | ) | const

Query device-specific program binary.

Returns RAW OpenCL executable binary without additional attachments.

See also
  ProgramSource::fromBinary

Parameters

  [out] | binary | output buffer

## ◆ getImpl()

Impl* cv::ocl::Program::getImpl | ( |  | ) | const
| inline

## ◆ getPrefix() [1/2]

String cv::ocl::Program::getPrefix | ( |  | ) | const

## ◆ getPrefix() [2/2]

static String cv::ocl::Program::getPrefix | ( | const String & | buildflags | ) |
| static

## ◆ operator=()

Program& cv::ocl::Program::operator= | ( | const Program & | prog | ) |

## ◆ ptr()

void* cv::ocl::Program::ptr | ( |  | ) | const

## ◆ read()

bool cv::ocl::Program::read | ( | const String & | buf,
|  | const String & | buildflags
| ) |  |

## ◆ source()

const ProgramSource& cv::ocl::Program::source | ( |  | ) | const

## ◆ write()

bool cv::ocl::Program::write | ( | String & | buf | ) | const

## Friends And Related Function Documentation

## ◆ Impl

friend struct Impl
| friend

## Member Data Documentation

## ◆ p

Impl* cv::ocl::Program::p
| protected

The documentation for this class was generated from the following file:

- core/include/opencv2/core/ocl.hpp